* {
    margin: 0;
    padding: 0;
    font-family: sans-serif;
}

body {
    width: 100%;
    overflow-x: hidden;
    background: linear-gradient(to right, #010025, #045001);
}

header {
    width: 100%;
    height: 10vh;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    position: sticky;
    z-index: 100;
    top: 0;
    left: 0;
    background: linear-gradient(to right, #010025, #045001);
}

.philtech {
    text-decoration: none;
    color: #fff;
    font-size: 30px;
}

.tech {
    color: #0e8add;
}

nav {
    width: 50%;
    height: 70%;
    background: #ffffff3a;
    border-radius: 25px;
}

.icon {
    width: 10%;
    height: 70%;
    border-radius: 25px;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
}

.icon button {
    background: none;
    border: none;
    cursor: pointer;
}

.icon svg {
    width: 30px;
    height: 30px;
}

.facebook {
    color: #2b25eb;
}

.whatsapp {
    color: #61D457;
}

ul {
    width: 100%;
    height: 100%;
    border-radius: 25px;
    list-style: none;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
}

.menu {
    text-decoration: none;
    color: #ffffffc2;
    transition: .3s;
}

.menu:hover {
    color: #58b958;
}

.active-menu {
    color: #58b958;
}

.container {
    width: 100%;
    position: relative;
}

.first {
    width: 100%;
    height: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
}

.logo {
    display: flex;
    justify-content: center;
    align-items: center;
}

img {
    width: 80%;
    height: 80%;
}

#main {
    background: #2717b43f;
    width: auto;
    height: auto;
    padding: 8px 15px;
    border-radius: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
}

#main span {
    font-size: 18px;
}

.main {
    font-size: 20px;
    color: #ffffffb2;
}

.dev_web {
    animation: float 2s linear infinite;
    top: 5%;
    left: 10%;
}

@keyframes float {
    0% {
        transform: translateY(0);
    }

    50% {
        transform: translateY(15px);
    }

    100% {
        transform: translateY(0);
    }
}

.apk {
    animation: float1 2s linear infinite;
    top: 18%;
    right: 5%;
}

@keyframes float1 {
    0% {
        transform: translateY(0);
    }

    60% {
        transform: translateY(15px);
    }

    100% {
        transform: translateY(0);
    }
}

.support {
    animation: float2 2s linear infinite;
    bottom: 10%;
    left: 15%;
}

@keyframes float2 {
    0% {
        transform: translateY(0);
    }

    50% {
        transform: translateY(15px);
    }

    100% {
        transform: translateY(0);
    }
}

.design {
    animation: float3 2s linear infinite;
    bottom: 18%;
    right: 13%;
}

@keyframes float3 {
    0% {
        transform: translateY(0);
    }

    70% {
        transform: translateY(15px);
    }

    100% {
        transform: translateY(0);
    }
}

.second {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
    margin-block: 80px;
}

.bienvenue {
    width: 100%;
    font-size: 65px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #ffffff91;
}

.tech2 {
    color: #58b958;
}

.formation {
    width: 100%;
    display: flex;
    justify-content: center;
    font-size: 26px;
    font-weight: 100;
    color: #8dcf87;
}

.about {
    width: 100%;
    display: flex;
    justify-content: center;
    font-size: 16px;
    color: #ffffff91;
    text-align: center;
}

.contact {
    background: linear-gradient(to right, #05b0c7, #0d097e);
    padding: 8px 30px;
    border: solid 1px #ffffff65;
    border-radius: 10px;
    font-size: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    color: #ffffff91;
}

footer {
    width: 100%;
    height: 135px;
}

.ligne {
    width: 80%;
    height: 1px;
    background: #3c4dac4b;
    margin-bottom: 28px;
    color: #ffffff00;
}

.foot {
    width: 100%;
    height: 100%;
    color: #ffffff9c;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.paragraphe1 {
    font-size: 16px;
    text-align: center;
}

.paragraphe2 {
    color: #9E9D9D;
    font-size: 16px;
    text-align: center;
}

/* ---------------------Services--------------------- */

.icon-service {
    width: 80px;
    height: 80px;
    color: #61D457;
}

.container-service {
    width: 100%;
    display: flex;
    align-items: center;
    flex-direction: column;
}

.titre {
    font-size: 5vh;
    color: #fff;
    padding-block: 15px;
    text-align: center;
}

.titre-service {
    font-size: 5vh;
    color: #ffffff91;
    padding-block: 10px;
}

.carte-service {
    width: 90%;
    margin-top: 10px;
    display: flex;
    align-items: center;
    flex-direction: column;
}

.haut-service {
    width: 95%;
    gap: 20px;
    display: flex;
    align-items: center;
    /* background: #dd5d08; */
}

.haut-service-inversé {
    width: 95%;
    gap: 20px;
    display: flex;
    align-items: center;
    justify-content: end;
    /* background: #dd5d08; */
}

.sentence svg {
    width: 30px;
    height: 30px;
}

.sentence p {
    display: flex;
    align-items: center;
    gap: 10px;
}

.detail-service {
    width: 95%;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.texte-service {
    font-size: 3.5vh;
    padding-block: 15px;
    color: #ccc;
}

.condition {
    width: 100%;
    display: flex;
    gap: 25px;
}

.c-1 {
    width: 50%;
    height: auto;
    padding-block: 5px;
    /* background: #000; */
    display: flex;
    align-items: center;
    justify-content: center;
}

.c-sentence {
    width: 80%;
    height: 85%;
    /* background: #fff; */
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
}

.sentence {
    width: 100%;
    height: 25%;
    /* background: #6d0857; */
    align-items: center;
    display: flex;
}

p {
    font-size: 20px;
    color: #ffffff91;
}

/* ---------------------Portfolio--------------------- */
.portfolio {
    width: 100%;
    height: 72vh;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 20px;
}

.svg-portfolio {
    width: 90px;
    height: 90px;
    color: #8dcf87;
}

.loading {
    font-size: 40px;
    color: #ffffff94;
}

/* ---------------------A propos--------------------- */
.a-propos {
    width: 100%;
    min-height: 75vh;
    overflow-x: hidden;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.titre-a-propos {
    font-size: 50px;
    font-weight: normal;
    color: #61D457;
}

.boite-1 {
    width: 90%;
    display: flex;
    flex-direction: column;
    padding: 10px;
    gap: 20px;
}

.boite-1 p {
    font-size: 18px;
    letter-spacing: 1.5px;
}

.boite-2 {
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: column;
    padding: 20px;
    gap: 20px;
}

.label-domaines {
    text-align: center;
    color: #61D457;
    font-size: 31px;
}

.last_contain {
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
}

.last_contain p {
    font-size: 15px;
}

/* ---------------------Contact--------------------- */
.main-contact {
    width: 100%;
}

.contactez-nous {
    text-align: center;
    font-size: 40px;
    color: #fff;
    margin-top: 20px;
}

.formulaire {
    width: 100%;
    height: auto;
    display: flex;
    align-items: center;
    justify-content: center;
}

.input {
    width: 696px;
    height: 400px;
    justify-content: center;
    display: flex;
    flex-direction: column;
    gap: 35px;
}

.input input {
    padding: 10px 30px;
    width: 500px;
    height: 35px;
    box-shadow: inset 9px -10px 26px #22823f;
    background: #ffffff3a;
    border: none;
    outline: none;
    border-radius: 14px;
}

.input textarea {
    padding: 10px 30px;
    min-width: 500px;
    max-width: 500px;
    min-height: 45px;
    max-height: 45px;
    box-shadow: inset 9px -10px 26px #22823f;
    background: #ffffff3a;
    border: none;
    outline: none;
    border-radius: 14px;
}

.input input::placeholder {
    color: #dddddd9c;
}

.input textarea::placeholder {
    color: #dddddd9c;
}

.input button {
    width: 550px;
    height: 40px;
    border-radius: 10px;
    cursor: pointer;
    border: none;
    background: linear-gradient(to right, #385668, #76C5F3, #61D457);
}

.reseau-sociaux {
    width: 400px;
    height: 400px;
    align-items: center;
    justify-content: center;
    display: flex;
    flex-direction: column;
    padding: 10px;
    gap: 20px;
}

.contact-icon {
    width: 90%;
    height: 40%;
    border: 1px solid #eee;
    border-radius: 12px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 20px;
    background: none;
    text-decoration: none;
    cursor: pointer;
}

.contact-icon svg {
    width: 80px;
    height: 80px;
}

.contact-icon span {
    color: #fff;
    font-size: 20px;
    font-weight: bold;
    letter-spacing: 8%;
}

.email {
    color: #3381AE;
}

@media (max-width: 1140px) {
    .second {
        height: auto;
        margin-block: 20px;
    }

    img {
        width: 500px;
    }

    #main span {
        font-size: 16px;
    }
}

@media (max-width: 1024px) {
    .philtech {
        font-size: 16px;
    }

    nav {
        width: 55%;
        height: 60%;
    }

    .icon {
        width: auto;
        height: 60%;
        gap: 8px;
    }

    .icon svg {
        width: 20px;
        height: 20px;
    }

    ul {
        justify-content: space-evenly;
        padding: 0;
    }

    .menu {
        font-size: 10px;
    }

    .first {
        padding-block: 30px;
        height: auto;
        display: flex;
        justify-content: center;
        align-items: center;
        margin-left: 0;
    }

    .logo {
        display: flex;
        justify-content: center;
        align-items: center;
    }

    img {
        width: 80%;
        height: 80%;
    }

    #main {
        width: auto;
        height: auto;
        padding: 5px 10px;
    }

    #main span {
        font-size: 18px;
    }

    .second {
        width: 100%;
        height: auto;
        padding-block: 50px;
    }

    .bienvenue {
        font-size: 30px;
    }

    .formation {
        text-align: center;
        font-size: 14px;
    }

    .about {
        font-size: 12px;
    }

    .contact {
        font-size: 12px;
    }

    footer {
        height: auto;
        padding-block: 10px;
    }

    .paragraphe1 {
        font-size: 12px;
    }

    .paragraphe2 {
        font-size: 12px;
    }

    .container-service {
        gap: 0;
    }

    .titre {
        font-size: 16px;
    }

    .carte-service {
        width: 96%;
        padding-block: 0;
        gap: 0;
    }

    .icon-service {
        width: 40px;
        height: 40px;
    }

    .titre-service {
        font-size: 14px;
    }

    .haut-service,
    .haut-service-inversé {
        height: auto;
    }

    .c-sentence {
        width: 100%;
    }

    .condition {
        height: auto;
        gap: 0;
    }

    .sentence p {
        font-size: 12px;
    }

    .sentence svg {
        width: 20px;
        height: 20px;
    }

    .texte-service {
        font-size: 12px;
        height: auto;
    }

    .svg-portfolio {
        width: 50px;
        height: 50px;
    }

    .loading {
        font-size: 20px;
    }

    .titre-a-propos {
        font-size: 25px;
    }

    .boite-1 {
        gap: 10px;
        padding: 5px;
        margin-bottom: 20px;
    }

    .boite-1 p {
        font-size: 12px;
        letter-spacing: normal;
    }

    .boite-2 {
        gap: 10px;
        padding: 0 10px;
    }

    .label-domaines {
        font-size: 16px;
    }

    .last_contain {
        height: auto;
        padding-block: 10px;
    }

    .last_contain p {
        font-size: 12px;
    }

    .main-contact {
        height: 75vh;
        display: flex;
        flex-direction: column;
        justify-content: center;
    }

    .contactez-nous {
        font-size: 20px;
        margin-top: 5px;
    }

    .formulaire {
        padding-block: 20px;
    }

    .input {
        width: 60%;
        height: auto;
        align-items: center;
    }

    .input input {
        border-radius: 10px;
        padding: 0;
        padding-left: 10px;
        width: 90%;
        height: 35px;
        display: flex;
        font-size: 12px;
    }

    .input textarea {
        padding: 0;
        padding-left: 10px;
        padding-top: 10px;
        border-radius: 10px;
        min-width: 90%;
        max-width: 90%;
        min-height: 45px;
        max-height: 45px;
        font-size: 12px;
    }

    .input input::placeholder {
        color: #dddddd63;
    }

    .input textarea::placeholder {
        color: #dddddd56;
    }

    .input button {
        width: 90%;
    }

    .reseau-sociaux {
        width: 40%;
        height: auto;
    }

    .contact-icon {
        width: 80%;
        height: 100px;
    }

    .contact-icon svg {
        width: 40px;
        height: 40px;
    }

    .contact-icon span {
        font-size: 12px;
    }

}

@media (max-width: 992px) {
    #main span {
        font-size: 14px;
    }
}

@media (max-width: 900px) {
    #main span {
        font-size: 14px;
    }
}


@media (max-width: 768px) {
    #main span {
        font-size: 12px;
    }

    .last_contain p {
        font-size: 9px;
    }
}

/* @media (max-width: 375px) {
    
} */